# Version of Franz to install
# N.B. Will be reified as a :gem_package
default['franz']['gem'] = {
  'name' => 'franz'
}

default['franz']['packages'] = {
  'libtool' => {},
  'libsnappy1' => {},
  'libsnappy-dev' => {}
}

# User for Franz assets and services
# N.B. Will be reified as a :user
default['franz']['user'] = {
  'name' => 'franz',
  'gid' => 'franz',
  'shell' => '/bin/false',
  'system' => true
}

# Group for Franz assets and services
# N.B. Will be reified as a :group
default['franz']['group'] = {
  'name' => node['franz']['user']['name'],
  'system' => true
}

# Home for Franz assets of all shapes and sizes
# N.B. Each will be reified as a :directory
default['franz']['directories'] = {
  'logs' => {
    'path' => '/var/log/franz',
    'owner' => node['franz']['user']['name'],
    'group' => node['franz']['user']['name']
  },
  'config' => {
    'path' => '/etc/franz',
    'owner' => node['franz']['user']['name'],
    'group' => node['franz']['user']['name']
  }
}

# Increase open file limit so we can tail lots of things
default['franz']['limits'] = {
  'nofile' => '65536 65536'
}

# Set any environment variables you wish
default['franz']['environment'] = {
  'USER' => node['franz']['user']['name']
}

# Extra options to pass to Franz agents ("config" and "log" are set)
default['franz']['opts'] = {
  'debug' => false,
  'trace' => false
}

# # Franz configuration
# # Each entry under node.franz.config will become an individual service
# default['franz']['config']['example'] = {
#   'checkpoint' => '/etc/franz/example.*.checkpoint',
#   'checkpoint_interval' => 20,
#   'input' => {
#     'ignore_before' => 0,
#     'discover_bound' => 10_000,
#     'watch_bound' => 1_000,
#     'tail_bound' => 1_000,
#     'discover_interval' => 15,
#     'watch_interval' => 5,
#     'eviction_interval' => 300,
#     'flush_interval' => 30,
#     'configs' => []
#   },
#   'output' => {
#     'rabbitmq' => {
#       'exchange' => {
#         'name' => 'franz'
#       },
#       'connection' => {
#         'host' => 'localhost',
#         'port' => 5672
#       }
#     }
#   }
# }